glibmm: Gio::DBus::Address Namespace Reference

glibmm 2.33.14

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Namespace List
- Namespace Members

Functions
Gio::DBus::Address Namespace Reference

## Functions
bool | is_address (const std::string&string)
| Checks if string is a D-Bus address.
bool | is_supported (const std::string& address)
| Like is_address() but also checks if the library supports the transports in address and that key/value pairs for each transport are valid.
void | get_stream (const std::string& address, const SlotAsyncReady slot, const Glib::RefPtr< Cancellable >& cancellable)
| Asynchronously connects to an endpoint specified by address and sets up the connection so it is in a state to run the client-side of the D-Bus authentication conversation.
void | get_stream (const std::string& address, const SlotAsyncReady slot)
| A non-cancellable version of get_stream().
Glib::RefPtr< IOStream > | get_stream_finish (const Glib::RefPtr< AsyncResult >& res, std::string& out_guid)
| Finishes an operation started with get_stream().
Glib::RefPtr< IOStream > | get_stream_finish (const Glib::RefPtr< AsyncResult >& res)
| Finishes an operation started with get_stream().
Glib::RefPtr< IOStream > | get_stream_sync (const std::string& address, const Glib::RefPtr< Cancellable >& cancellable, std::string& out_guid)
| Synchronously connects to an endpoint specified by address and sets up the connection so it is in a state to run the client-side of the D-Bus authentication conversation.
Glib::RefPtr< IOStream > | get_stream_sync (const std::string& address, std::string& out_guid)
| A non-cancellable version of get_stream_sync().
Glib::RefPtr< IOStream > | get_stream_sync (const std::string& address, const Glib::RefPtr< Cancellable >& cancellable)
| Synchronously connects to an endpoint specified by address and sets up the connection so it is in a state to run the client-side of the D-Bus authentication conversation.
Glib::RefPtr< IOStream > | get_stream_sync (const std::string& address)
| A non-cancellable version of get_stream_sync().
std::string | get_for_bus_sync (BusType bus_type, const Glib::RefPtr< Cancellable >& cancellable)
| Synchronously looks up the D-Bus address for the well-known message bus instance specified by bus_type.
std::string | get_for_bus_sync (BusType bus_type)
| A non-cancellable get_for_bus_sync().

## Function Documentation

std::string Gio::DBus::Address::get_for_bus_sync | ( | BusType | bus_type | ) |

A non-cancellable get_for_bus_sync().

void Gio::DBus::Address::get_stream | ( | const std::string & | address,
|  | const SlotAsyncReady | slot
| ) |  |

A non-cancellable version of get_stream().

Glib::RefPtr<IOStream> Gio::DBus::Address::get_stream_sync | ( | const std::string & | address,
|  | std::string & | out_guid
| ) |  |

A non-cancellable version of get_stream_sync().

Glib::RefPtr<IOStream> Gio::DBus::Address::get_stream_sync | ( | const std::string & | address | ) |

A non-cancellable version of get_stream_sync().